import os

import requests
import json
import pymysql

url_base = "http://open.douyucdn.cn/api/RoomApi/room"


class DB:
    def __init__(self):
        self.host = os.environ.get("DB_HOST", "guest-p1219-s7009-svc.guest.svc.cluster.local")
        self.port = os.environ.get("DB_PORT", 3306)
        self.db = pymysql.connect(
            host=self.host, port=self.port,
            user='root', password='123456',
            database='dybarrage_pro'
        )

    def quert(self, sql):
        with self.db.cursor() as cu:
            cu.execute(sql)
            data = cu.fetchall()
            return data

    def insert(self, sql, *args):
        with self.db.cursor() as cu:
            print(args)
            cu.execute(sql, args)
            self.db.commit()


def get_rom_info(room_id):
    url = "{}/{}".format(url_base, room_id)
    response = requests.get(url)
    if response.status_code == 200:
        re_data = json.loads(response.content).get("data")
        owner_name = re_data.get("owner_name")
        start_time = re_data.get("start_time")
        room_id = re_data.get("room_id")
        query_sql = "select room_id from room_info where room_id = {}".format(room_id)
        if len(db.quert(query_sql)) == 0:
            sql = "insert into room_info (room_id, owner_name, start_time) values(%s, %s, %s)"
            db.insert(sql, *(room_id, owner_name, start_time))


# 1. 查询房间ID
query_rom_sql = """SELECT DISTINCT(room_id) from barrage;"""


db = DB()
rom_list = db.quert(query_rom_sql)
for room_id_line in rom_list:

    room_id = room_id_line[0]
    get_rom_info(room_id)

